Bug 167970 - userhelper fails to set exec context in strict policy
userhelper fails to set exec context in strict policy
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-09 17:23 EDT by Nalin Dahyabhai
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 15:50:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a patch which is NOT the right fix (498 bytes, patch)
2005-09-09 17:23 EDT, Nalin Dahyabhai
no flags Details | Diff

  None (edit)
Description Nalin Dahyabhai 2005-09-09 17:23:57 EDT
Description of problem:
When computing the context under which the privileged application should be run,
userhelper reads the originating context from a static file instead of using the
context from which it was invoked.

Version-Release number of selected component (if applicable):
usermode-1.81-1

How reproducible:
Always

Steps to Reproduce:
1. Log in as root with MCS strict policy
2. Attempt to run authconfig (5.0.1-1)
3. Observe error -- the original context which is logged as part of the failure
is not the context in which you're executing.
  
Actual results:
No output, error logged.

Expected results:
authconfig should run.
Comment 1 Nalin Dahyabhai 2005-09-09 17:23:57 EDT
Created attachment 118666 [details]
a patch which is NOT the right fix
Comment 2 Jindrich Novy 2005-10-26 13:09:48 EDT
Dan, do you have any idea how to fix it better ?
Comment 3 Daniel Walsh 2006-09-18 15:50:37 EDT
Close for lack use  usermode should probably not be used in strict policy

Note You need to log in before you can comment on or make changes to this bug.